#include "gps.h"
#include "delay.h"

char glat[20],glon[20];


void parse_gnrmc(const char *nmea_sentence) {

    char lat[20], lat_dir, lon[20], lon_dir;
    //printf("dsada");
    char time[11], status;
    if (sscanf(nmea_sentence, "$GNRMC,%10[^,],%c,%[^,],%c,%[^,],%c", time, &status, lat, &lat_dir, lon, &lon_dir) == 6) 
    {
        if (status == 'A') 
        { // 定位有效
            //double glatitude =   convert_to_decimal(glat, glat_dir);
            //double glongitude =  convert_to_decimal(glon, glon_dir);

            printf("Time (UTC): %s\n", time);
            printf("glatitude: %s\n", lat);
            printf("glongitude: %s\n", lon);
            sscanf(lat,"%[^,]",glat);
            sscanf(lon,"%[^,]",glon);
        } 
        else 
        {
            printf("GNRMC data is invalid (status: %c)\n", status);
        }
    } 
    else 
    {
        printf("Failed to parse GNRMC sentence.\n");
    }
}
